# Enum Class DispatchType

java.lang.Object
java.lang.Enum<DispatchType>
org.apache.tomcat.util.net.DispatchType

All Implemented Interfaces:
  `Serializable, Comparable<DispatchType>, Constable`

public enum DispatchType extends Enum<DispatchType>
This enumeration lists the different types of dispatches that request processing can trigger. In this instance, dispatch means re-process this request using the given socket status.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NON_BLOCKING_ERROR`
Dispatch type for non-blocking error operations.
`NON_BLOCKING_READ`
Dispatch type for non-blocking read operations.
`NON_BLOCKING_WRITE`
Dispatch type for non-blocking write operations.

## Method Summary

Modifier and Type
Method
Description
`SocketEvent`
`getSocketStatus()`
Get the socket event status associated with this dispatch type.
`static DispatchType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DispatchType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NON_BLOCKING_READ

public static final DispatchType NON_BLOCKING_READ
Dispatch type for non-blocking read operations.

### NON_BLOCKING_WRITE

public static final DispatchType NON_BLOCKING_WRITE
Dispatch type for non-blocking write operations.

### NON_BLOCKING_ERROR

public static final DispatchType NON_BLOCKING_ERROR
Dispatch type for non-blocking error operations.

## Method Details

### values

public static DispatchType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DispatchType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getSocketStatus

public SocketEvent getSocketStatus()
Get the socket event status associated with this dispatch type.

Returns:
  Socket event status